@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  display: block;
}

// label
.app-label {
  @include ubuntuRegular;
  font-size: 12px;
  line-height: 13px;
  color: $eclipse;
  margin: 16px 0 10px;
}

// paragraph
.app-p {
  @include robotoRegular;
  font-size: 12px;
  line-height: 16px;
  color: $eclipse;
}

// generate button
.app-generate {
  @include ubuntuMedium;
  @include flex(center, center);
  font-size: 12px;
  line-height: 13px;
  height: 32px;
  width: 100%;
  margin-top: 15px;

  // spinner
  app-spinner {
    ::ng-deep {
      .app-spinner {
        @include border(1.5px solid $tangerine-yellow);
        @include borderTop(transparent);
        @include ball(12px);
        display: inline-flex;
        margin-right: 5px;
      }
    }
  }

  &.regenerate {
    margin-top: 6px;
  }

  .app-icon {
    @include box(14px);

    ::ng-deep {
      svg {
        @include box(9.33px);
      }

      path {
        fill: $havelock-blue;
      }
    }
  }
}

// email icon
app-icon-email {
  @include box(16px);
  margin-right: 4px;

  ::ng-deep {
    path {
      fill: $havelock-blue;
      margin-right: 4px;
    }
  }
}

// auth code
.app-auth-code {
  @include robotoMedium;
  @include flex(center, center);
  font-size: 12px;
  line-height: 14px;
  color: $eclipse;
  width: 100%;
  height: 32px;
  border-radius: 4px;
  background-color: $alice-blue;
  margin-top: 15px;

  // shield icon
  app-icon-shield {
    @include box(14px);
    margin-right: 6px;

    ::ng-deep {
      path {
        fill: $havelock-blue;
      }
    }
  }
}

// send email button
.app-send-email {
  @include ubuntuMedium;
  @include flex(center, center);
  width: 100%;
  height: 32px;
  font-size: 12px;
  line-height: 13px;
  margin-top: 5px;

  app-spinner {
    ::ng-deep {
      .app-spinner {
        @include border(1.5px solid $tangerine-yellow);
        @include borderTop(transparent);
        @include ball(18px);
        display: inline-flex;
      }
    }
  }
}
